
QGIS Application - Bug report #634

Compile failure on 64bit RHEL4 with -Werror set

2007-03-03 08:46 AM - Gary Sherman

Status: Closed

Priority: Low

Assignee: nobody -

Category: Build/Install

Affected QGIS version: Regression?: No

Operating System: RedHat Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 10693

Description

[ 25%] Built target qgis_core

[ 25%] Building CXX object src/gui/CMakeFiles/qgis_gui.dir/qgsprojectionselector.o

/ssi0/ssi/neteler/software/qgis_unstable/src/gui/qgsprojectionselector.cpp: In member function @long int

[[QgsProjectionSelector]]::getCurrentLongAttribute(QString)':

/ssi0/ssi/neteler/software/qgis_unstable/src/gui/qgsprojectionselector.cpp:383: warning: converting to non-pointer type @long int'

from NULL

/ssi0/ssi/neteler/software/qgis_unstable/src/gui/qgsprojectionselector.cpp:438: warning: converting to non-pointer type @long int'

from NULL

/ssi0/ssi/neteler/software/qgis_unstable/src/gui/qgsprojectionselector.cpp: In member function @long int

[[QgsProjectionSelector]]::getCurrentSRSID()':

/ssi0/ssi/neteler/software/qgis_unstable/src/gui/qgsprojectionselector.cpp:464: warning: converting to non-pointer type @long int'

from NULL

maker2: *** [src/gui/CMakeFiles/qgis_gui.dir/qgsprojectionselector.o] Error 1

maker1: *** [src/gui/CMakeFiles/qgis_gui.dir/all] Error 2

make: *** [all] Error 2

History

#1 - 2007-03-03 08:50 AM - neteler-itc-it -

This happens on 64bit/RHEL4 Linux.

#2 - 2007-03-03 09:30 AM - Gavin Macaulay -

- Resolution set to fixed

- Status changed from Open to Closed

Fixed in 6752

#3 - 2009-08-22 12:45 AM - Anonymous

Milestone Version 0.9 deleted
